#
# Conditional build:
%bcond_with	golang	# Go components (nothing useful yet?)

%ifnarch %{ix86} %{x8664} %{arm} aarch64 mips64 mips64le ppc64le
%undefine	with_golang
%endif
Summary:	POSIX.1e capability suite
Summary(pl.UTF-8):	Wsparcie dla standardu "capability" POSIX.1e
Summary(pt_BR.UTF-8):	Biblioteca para leitura e configuração de capabilities.
Name:		libcap
Version:	2.62
Release:	1
Epoch:		1
License:	GPL v2 or BSD
Group:		Applications/System
Source0:	https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/%{name}-%{version}.tar.xz
# Source0-md5:	342c7560ed2103899f6914d1de75a89f
URL:		https://sites.google.com/site/fullycapable/
BuildRequires:	attr-devel
%{?with_golang:BuildRequires:	golang}
BuildRequires:	pam-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir		/sbin

%description
The POSIX.1e capability library for Linux. This package contains the
getcap and setcap binaries and manual pages.

%description -l pl.UTF-8
Biblioteka, programy oraz strony manuala zawierające implementację
"capability" standardu POSIX.1e.

%description -l pt_BR.UTF-8
Biblioteca para leitura e configuração de capabilities.

%package libs
Summary:	libcap library
Summary(pl.UTF-8):	Biblioteka libcap
Group:		Libraries
Conflicts:	libcap < 1:2.16-2

%description libs
libcap library.

%description libs -l pl.UTF-8
Biblioteka libcap.

%package devel
Summary:	Header files and development documentation for libcap
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do libcap
Summary(pt_BR.UTF-8):	Arquivos de desenvolvimento para capabilities
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for libcap.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do libcap.

%description devel -l pt_BR.UTF-8
Arquivos de desenvolvimento para capabilities.

%package static
Summary:	Static libcap library
Summary(pl.UTF-8):	Statyczna biblioteka libcap
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libcap library.

%description static -l pl.UTF-8
Statyczna biblioteka libcap.

%package -n pam-pam_cap
Summary:	Capability module for PAM
Summary(pl.UTF-8):	Moduł PAM capability
Group:		Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	pam

%description -n pam-pam_cap
PAM capability module enforces inheritable capability sets.

%description -n pam-pam_cap -l pl.UTF-8
Moduł PAM capability wymuszający dziedziczone zbiory uprawnień.

%prep
%setup -q

%build
LDFLAGS="%{rpmldflags}" \
%{__make} -j1 \
	CC="%{__cc}" \
	COPTS="%{rpmcflags} %{rpmcppflags}" \
	BUILD_CC="%{__cc}" \
	BUILD_COPTS="%{rpmcflags} %{rpmcppflags}" \
	DEBUG= \
	%{!?with_golang:GOLANG=0}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	FAKEROOT=$RPM_BUILD_ROOT \
	%{!?with_golang:GOLANG=0} \
	PKGCONFIGDIR=%{_pkgconfigdir} \
	RAISE_SETFCAP=no \
	lib=%{_lib}

install -d $RPM_BUILD_ROOT/%{_lib}/security
install -p pam_cap/pam_cap.so $RPM_BUILD_ROOT/%{_lib}/security
install -d $RPM_BUILD_ROOT/etc/security
cp -a pam_cap/capability.conf $RPM_BUILD_ROOT/etc/security

install -d $RPM_BUILD_ROOT%{_libdir}
for libname in libcap libpsx ; do
	ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/${libname}.so.*.*) \
		$RPM_BUILD_ROOT%{_libdir}/${libname}.so
	%{__rm} $RPM_BUILD_ROOT/%{_lib}/${libname}.so
	%{__mv} $RPM_BUILD_ROOT/%{_lib}/${libname}.a $RPM_BUILD_ROOT%{_libdir}
done
chmod a+x $RPM_BUILD_ROOT/%{_lib}/*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post   libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG License README
%attr(755,root,root) %{_sbindir}/capsh
%attr(755,root,root) %{_sbindir}/getcap
%attr(755,root,root) %{_sbindir}/getpcaps
# TODO: cap_setfcap=i
%attr(755,root,root) %{_sbindir}/setcap
%{_mandir}/man1/capsh.1*
%{_mandir}/man8/captree.8*
%{_mandir}/man8/getcap.8*
%{_mandir}/man8/getpcaps.8*
%{_mandir}/man8/setcap.8*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libcap.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libcap.so.2
%attr(755,root,root) /%{_lib}/libpsx.so.*.*
%attr(755,root,root) %ghost /%{_lib}/libpsx.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcap.so
%attr(755,root,root) %{_libdir}/libpsx.so
%{_includedir}/sys/capability.h
%{_includedir}/sys/psx_syscall.h
%{_pkgconfigdir}/libcap.pc
%{_pkgconfigdir}/libpsx.pc
%{_mandir}/man3/libcap*.3*
%{_mandir}/man3/libpsx*.3*
%{_mandir}/man3/cap_*.3*
%{_mandir}/man3/capgetp.3*
%{_mandir}/man3/capsetp.3*
%{_mandir}/man3/psx_*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libcap.a
%{_libdir}/libpsx.a

%files -n pam-pam_cap
%defattr(644,root,root,755)
%doc pam_cap/License
%attr(755,root,root) /%{_lib}/security/pam_cap.so
%config(noreplace) %verify(not md5 mtime size) /etc/security/capability.conf

# TODO: golang - where?
# installs under
#%{_datadir}/gocode/src/kernel.org/pub/linux/libs/security/libcap
# or should we use
#%{_libdir}/golang/src/libcap
%changelog
* Mon Dec 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcap.git;a=log;h=master

* Sun Dec 12 2021 Jan Palus <atler@pld-linux.org> 957c0ae
- up to 2.62

* Sun Nov 21 2021 Jan Palus <atler@pld-linux.org> 32972b6
- up to 2.61

* Sun Oct 24 2021 Jan Palus <atler@pld-linux.org> de73f37
- up to 2.60

* Mon Sep 27 2021 Jan Palus <atler@pld-linux.org> fa40675
- up to 2.59

* Sun Sep 19 2021 Jan Palus <atler@pld-linux.org> a097656
- up to 2.58

* Sat Sep 11 2021 Jan Palus <atler@pld-linux.org> 50d0ca2
- up to 2.57

* Sun Sep 05 2021 Jan Palus <atler@pld-linux.org> fd54901
- up to 2.56

* Tue Aug 31 2021 Jan Palus <atler@pld-linux.org> f5cb7c9
- up to 2.55

* Thu Aug 26 2021 Jan Palus <atler@pld-linux.org> af72b43
- up to 2.54

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 11278c9
- up to 2.53

* Thu Aug 05 2021 Jan Palus <atler@pld-linux.org> 3246dce
- up to 2.52

* Mon Jun 21 2021 Jan Palus <atler@pld-linux.org> 77406bc
- up to 2.51

* Fri May 28 2021 Jan Palus <atler@pld-linux.org> 8d504e7
- up to 2.50

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> 85986fe
- up to 2.49

* Wed Feb 10 2021 Jan Palus <atler@pld-linux.org> 197b55b
- up to 2.48

* Tue Dec 15 2020 Jakub Bogusz <qboosh@pld-linux.org> b7895ee
- updated to 2.46

* Fri Nov 06 2020 Jakub Bogusz <qboosh@pld-linux.org> be0fed4
- updated to 2.45; now with shared libpsx

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 81f9503
- updated to 2.44
- removed obsolete make patch

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 3720f29
- updated to 2.43
- updated make patch

* Wed Jun 03 2020 Jakub Bogusz <qboosh@pld-linux.org> 332ab83
- updated to 2.36
- updated make patch

